﻿//
// MainPage.xaml.h
// Declaration of the MainPage class.
//

#pragma once

#include "MainPage.g.h"

namespace TwisterCPlusPlus
{
    public ref class MainPage sealed
    {
    private:
        static const int64 cycleDuration = 30000000;   // 3 seconds

        // Bitmap information
        Windows::UI::Xaml::Media::Imaging::WriteableBitmap^ bitmap;
        Platform::Array<byte>^ srcPixels;
        byte* pDstPixels;
        int width, height, xCenter, yCenter;

    public:
        MainPage();

    private:
        void OnMainPageLoaded(Platform::Object^ sender, Windows::UI::Xaml::RoutedEventArgs ^ args);
        void OnCompositionTargetRendering(Platform::Object^ sender, Platform::Object^ args);
    };
}
